import { HttpClient } from "@angular/common/http";
import { ApiResponseModel, ApiVisa, BaseApiTemplateService } from "../../shared";
import { Observable } from "rxjs";
export declare class CancelGenDocOpenQueueService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    /** Cancel Hdr Open Queue */
    cancelHdr(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    /** Cancel Line Open Queue */
    cancelLine(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
